Booklinker.API

<back to all web services

GetCollectionsRequest

Requires Authentication
The following routes are available for this service:
GET/v2/collections/list
V2ListRequest Parameters:
NameParameterData TypeRequiredDescription
IdsformList<string>No
V2PaginatedBaseRequest Parameters:
NameParameterData TypeRequiredDescription
OffsetformintNo
LimitformintNo
V2PaginatedBaseResponse Parameters:
NameParameterData TypeRequiredDescription
PageformV2PageObjectNo
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
V2PageObject Parameters:
NameParameterData TypeRequiredDescription
OffsetformintNo
LimitformintNo
TotalRecordsformintNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v2/collections/list HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	page: 
	{
		offset: 0,
		limit: 0,
		totalRecords: 0
	},
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}